# eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.LfConvertDataDialog

Module implementing a dialog to enter the data for the repo conversion.

### Global Attributes

None

### Classes

LfConvertDataDialog | Class implementing a dialog to enter the data for the repo conversion.

### Functions

None

## LfConvertDataDialog

Class implementing a dialog to enter the data for the repo conversion.

### Derived from

QDialog, Ui_LfConvertDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

LfConvertDataDialog | Constructor
getData | Public method to retrieve the entered data.
on_newProjectPicker_textChanged | Private slot to handle editing of the new project directory.

### Static Methods

None

#### LfConvertDataDialog (Constructor)

LfConvertDataDialog(currentPath, mode, parent=None)

Constructor

currentPath
  directory name of the current project (string)
mode
  dialog mode (string, one of 'largefiles' or 'normal')
parent
  reference to the parent widget (QWidget)

#### LfConvertDataDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple containing the new project directory name (string), minimum file size (integer) and file patterns (list of string)

#### LfConvertDataDialog.on_newProjectPicker_textChanged

on_newProjectPicker_textChanged(txt)

Private slot to handle editing of the new project directory.

txt
  new project directory name (string)

Up